Grasshopper

algorithmic modeling for Rhino

A minor upgrade with 5 bug fixes is available for download. If you didn't install 0.9.0051, please read the release notes as they contain important stuff.

0.9.0052 fixes the following bugs:

  • Warnings and Errors from 3rd party GHA components compiled for older versions would not show, this is fixed.

  • Double clicking on Text Panels would not work if the panel background was partially transparent, this is fixed.

  • Editing Text Panels would crash if the panel background was partially transparent, this is fixed.

  • Trim Tree component would not work, this is fixed.

  • AssignDataToParameter() RhinoScript method did not work correctly when assigning strings, this is fixed.

This release can be downloaded from the usual location.

Grasshopper 0.9.0052 requires Rhino5 to run. It will not work on Rhino4.

If you're upgrading to 0.9.0052 from an old Grasshopper version, please manually uninstall that version first.

--

David Rutten

david@mcneel.com

Poprad, Slovakia

Views: 4394

Reply to This

Replies to This Discussion

If you're upgrading to 0.9.0052 from an old Grasshopper version, please manually uninstall that version first.

I did not understand upper part.
It is related only to 0.9.0051 version as it is the first one that does not have the uninstaller?

Or is it even related to 0.9.0014 and any older versions too?

If we did not install the 0.9.0051, had 0.9.0014 and now we want to install 0.9.0052, why do we need to manually uninstall the 0.9.0014? That version has it's own uninstaller.

David any reply on this?
I did not install the 0.9.0051 version, and still have 0.9.0014. I want to try the 0.9.0052.
Do I need to manually uninstall the 0.9.0014?

I did it like this and it worked. Uninstalled 0.9.0014 from the Windows control panel and after that installed 0.9.0052. I haven't removed or changed anything else. Everything worked well except for the mysterious GHPython issue which fixed itself after a reboot.

Thank you Hrvoje.

Great!! Thanks so much David! And it's here just when I got four days off:)
(P.S. somehow the DivideDomain² base domain doesn't stick, even though it is pre-set in the context menu. I have to re-enter it to make it work)

thanks David

but weavebird and tab sliding still don't work.

the tab is less convenient at present for me. look forward to next update!

thank you

i wonder is it normal?

Do you use all those plugins? Besides the tabs they must get on the way when searching for components and increase loading time.

Maybe it's better to just load the ones you use frequently.

Would it perhaps make sense to allow loading/unloading from the UI without restarting? I cannot actually unload a plug-in, but I can hide it from all toolbars and search boxes. Loading time will still be significant though.

--

David Rutten

david@mcneel.com

Poprad, Slovakia

Yes, I think it makes sense.

How about a list of installed plugins with a "load on start" checkbox (for real unloading) and a "load" button on the ones that are unchecked.

I understand clearing the checkbox won't unload the plugin without restarting.

Checkbox scheme is a great idea!

I don´t think it necessary to unload or hide a plug-in during a session, but it would be comfortable to disable all in prior and just load something if you are in need. 

No do-you-want-to-load-?-pop-up while starting please. 

RSS

Translate

Search Grasshopper

Photos

  • Add Photos
  • View All

© 2017   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service